#include "extdll.h"
#include "util.h"

#include "cbase.h"
#include "effects.h"
#include "aura.h"
#include "classes.h"
#include "magicattack.h"
#include "explodingattack.h"
#include "player.h"
#include "nodes.h"
#include "weapons.h"
#include "soundent.h"
#include "monsters.h"
#include "decals.h"
#include "gamerules.h"

CKrillin::CKrillin ( CBasePlayer *player ): CBaseClass(player) 
{	
}

void CKrillin::AddAllAttacks( void )
{	m_pPlayer->GiveNamedItem("weapon_melee");
	m_pPlayer->GiveNamedItem("weapon_kiblast");
	m_pPlayer->GiveNamedItem("weapon_genericbeam");
	m_pPlayer->GiveNamedItem("weapon_kamehameha");
	m_pPlayer->GiveNamedItem("weapon_destructodisc");
	m_pPlayer->GiveNamedItem("weapon_solarflare");
	m_pPlayer->GiveNamedItem("weapon_scatterbeam");
	m_pPlayer->GiveNamedItem("weapon_sensu");
}

CBaseClass* CKrillin::GetAscendedClass(void)
{	return new CKrillin2(m_pPlayer);
}

CKrillin2::CKrillin2(CBasePlayer *player): CKrillin(player)
{	
}

CBaseClass* CKrillin2::GetDescendedClass(void)
{	return new CKrillin(m_pPlayer);
}